Bug 7965 - Silence warns in staff error log (koha-error_log)
Summary: Silence warns in staff error log (koha-error_log)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Chris Cormack
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-15 09:12 UTC by Katrin Fischer
Modified: 2015-06-04 23:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7965 : Silence warns in staff log (1.16 KB, patch)
2013-12-27 06:21 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED OFF] Bug 7965 : Silence warns in staff log (1.29 KB, patch)
2013-12-29 21:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7965 : Silence warns in staff log (1.35 KB, patch)
2014-01-10 12:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-04-15 09:12:33 UTC

    
Comment 1 Chris Cormack 2013-12-27 06:21:28 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2013-12-29 21:15:49 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-01-10 12:46:38 UTC
Created attachment 24120 [details] [review]
Bug 7965 : Silence warns in staff log

Silence warns in C4::Bookseller

to test
1/ run prove t/db_dependent/Bookseller.t
   Notice lots of Use of uninitialized value $delay in numeric lt (<) at /var/lib/jenkins/jobs/Koha_master/workspace/C4/Bookseller.pm line 134 type lines
2/ apply patch
3/ run prove t/db_dependent/Bookseller.t
   Notice warns are gone

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tiny change, positive consequences.
Passes QA script and all tests.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2014-01-10 16:15:13 UTC
Pushed to master.  Thanks, Chris!
Comment 5 Fridolin Somers 2014-02-18 08:50:27 UTC
Patch pushed to 3.14.x, will be in 3.14.4.
(thanks for our log files)